Package: org.gradle.api.tasks

## [Java] Class AbstractCopyTask

- org.gradle.api.tasks.AbstractCopyTask

- All Implemented Interfaces and Traits:
    CopySpec, CopySpecSource

      public abstract class AbstractCopyTask
      extends ConventionTask

  `AbstractCopyTask` is the base class for all copy tasks.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `protected AbstractCopyTask ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `copy()`
    `protected CopyAction` | `createCopyAction()`
    `protected CopySpecInternal` | `createRootSpec()`
    `AbstractCopyTask` | `eachFile(Action<? super FileCopyDetails> action)` {@inheritDoc}
    `AbstractCopyTask` | `eachFile(Closure closure)` {@inheritDoc}
    `AbstractCopyTask` | `exclude(String... excludes)` {@inheritDoc}
    `AbstractCopyTask` | `exclude(Iterable<String> excludes)` {@inheritDoc}
    `AbstractCopyTask` | `exclude(Spec<FileTreeElement> excludeSpec)` {@inheritDoc}
    `AbstractCopyTask` | `exclude(Closure excludeSpec)` {@inheritDoc}
    `AbstractCopyTask` | `expand(Map<String, ?> properties)` {@inheritDoc}
    `AbstractCopyTask` | `filesMatching(String pattern, Action<? super FileCopyDetails> action)` {@inheritDoc}
    `AbstractCopyTask` | `filesNotMatching(String pattern, Action<? super FileCopyDetails> action)` {@inheritDoc}
    `AbstractCopyTask` | `filter(Map<String, ?> properties, Class<? extends FilterReader> filterType)` {@inheritDoc}
    `AbstractCopyTask` | `filter(Class<? extends FilterReader> filterType)` {@inheritDoc}
    `AbstractCopyTask` | `filter(Closure closure)` {@inheritDoc}
    `AbstractCopyTask` | `from(Object... sourcePaths)` {@inheritDoc}
    `AbstractCopyTask` | `from(Object sourcePath, Closure c)` {@inheritDoc}
    `Integer` | `getDirMode()` {@inheritDoc}
    `DuplicatesStrategy` | `getDuplicatesStrategy()` {@inheritDoc}
    `Set<String>` | `getExcludes()` {@inheritDoc}
    `protected FileLookup` | `getFileLookup()`
    `Integer` | `getFileMode()` {@inheritDoc}
    `protected FileResolver` | `getFileResolver()`
    `protected FileSystem` | `getFileSystem()`
    `boolean` | `getIncludeEmptyDirs()` {@inheritDoc}
    `Set<String>` | `getIncludes()` {@inheritDoc}
    `protected Instantiator` | `getInstantiator()`
    `protected CopySpecInternal` | `getMainSpec()`
    `CopySpecInternal` | `getRootSpec()`
    `FileCollection` | `getSource()` Returns the source files for this task.
    `AbstractCopyTask` | `include(String... includes)` {@inheritDoc}
    `AbstractCopyTask` | `include(Iterable<String> includes)` {@inheritDoc}
    `AbstractCopyTask` | `include(Spec<FileTreeElement> includeSpec)` {@inheritDoc}
    `AbstractCopyTask` | `include(Closure includeSpec)` {@inheritDoc}
    `AbstractCopyTask` | `into(Object destDir)` {@inheritDoc}
    `AbstractCopyTask` | `into(Object destPath, Closure configureClosure)` {@inheritDoc}
    `boolean` | `isCaseSensitive()` {@inheritDoc}
    `AbstractCopyTask` | `rename(Closure closure)` {@inheritDoc}
    `AbstractCopyTask` | `rename(String sourceRegEx, String replaceWith)` {@inheritDoc}
    `AbstractCopyTask` | `rename(Pattern sourceRegEx, String replaceWith)` {@inheritDoc}
    `void` | `setCaseSensitive(boolean caseSensitive)` {@inheritDoc}
    `AbstractCopyTask` | `setDirMode(Integer mode)` {@inheritDoc}
    `void` | `setDuplicatesStrategy(DuplicatesStrategy strategy)` {@inheritDoc}
    `AbstractCopyTask` | `setExcludes(Iterable<String> excludes)` {@inheritDoc}
    `AbstractCopyTask` | `setFileMode(Integer mode)` {@inheritDoc}
    `void` | `setIncludeEmptyDirs(boolean includeEmptyDirs)` {@inheritDoc}
    `AbstractCopyTask` | `setIncludes(Iterable<String> includes)` {@inheritDoc}
    `CopySpec` | `with(CopySpec... sourceSpecs)` {@inheritDoc}

- - ### Constructor Detail

    - #### protected AbstractCopyTask()

  - ### Method Detail

    - #### @TaskAction protected void copy()

    - #### protected CopyAction createCopyAction()

    - #### protected CopySpecInternal createRootSpec()

    - #### public AbstractCopyTask eachFile(Action<? super FileCopyDetails> action)

      {@inheritDoc}

    - #### public AbstractCopyTask eachFile(Closure closure)

      {@inheritDoc}

    - #### public AbstractCopyTask exclude(String... excludes)

      {@inheritDoc}

    - #### public AbstractCopyTask exclude(Iterable<String> excludes)

      {@inheritDoc}

    - #### public AbstractCopyTask exclude(Spec<FileTreeElement> excludeSpec)

      {@inheritDoc}

    - #### public AbstractCopyTask exclude(Closure excludeSpec)

      {@inheritDoc}

    - #### public AbstractCopyTask expand(Map<String, ?> properties)

      {@inheritDoc}

    - #### public AbstractCopyTask filesMatching(String pattern, Action<? super FileCopyDetails> action)

      {@inheritDoc}

    - #### public AbstractCopyTask filesNotMatching(String pattern, Action<? super FileCopyDetails> action)

      {@inheritDoc}

    - #### public AbstractCopyTask filter(Map<String, ?> properties, Class<? extends FilterReader> filterType)

      {@inheritDoc}

    - #### public AbstractCopyTask filter(Class<? extends FilterReader> filterType)

      {@inheritDoc}

    - #### public AbstractCopyTask filter(Closure closure)

      {@inheritDoc}

    - #### public AbstractCopyTask from(Object... sourcePaths)

      {@inheritDoc}

    - #### public AbstractCopyTask from(Object sourcePath, Closure c)

      {@inheritDoc}

    - #### public Integer getDirMode()

      {@inheritDoc}

    - #### public DuplicatesStrategy getDuplicatesStrategy()

      {@inheritDoc}

    - #### public Set<String> getExcludes()

      {@inheritDoc}

    - #### @Inject protected FileLookup getFileLookup()

    - #### public Integer getFileMode()

      {@inheritDoc}

    - #### @Inject protected FileResolver getFileResolver()

    - #### @Inject protected FileSystem getFileSystem()

    - #### public boolean getIncludeEmptyDirs()

      {@inheritDoc}

    - #### public Set<String> getIncludes()

      {@inheritDoc}

    - #### @Inject protected Instantiator getInstantiator()

    - #### protected CopySpecInternal getMainSpec()

    - #### public CopySpecInternal getRootSpec()

    - #### @InputFiles @SkipWhenEmpty @Optional public FileCollection getSource()

      Returns the source files for this task.

      Returns:
        The source files. Never returns null.

    - #### public AbstractCopyTask include(String... includes)

      {@inheritDoc}

    - #### public AbstractCopyTask include(Iterable<String> includes)

      {@inheritDoc}

    - #### public AbstractCopyTask include(Spec<FileTreeElement> includeSpec)

      {@inheritDoc}

    - #### public AbstractCopyTask include(Closure includeSpec)

      {@inheritDoc}

    - #### public AbstractCopyTask into(Object destDir)

      {@inheritDoc}

    - #### public AbstractCopyTask into(Object destPath, Closure configureClosure)

      {@inheritDoc}

    - #### public boolean isCaseSensitive()

      {@inheritDoc}

    - #### public AbstractCopyTask rename(Closure closure)

      {@inheritDoc}

    - #### public AbstractCopyTask rename(String sourceRegEx, String replaceWith)

      {@inheritDoc}

    - #### public AbstractCopyTask rename(Pattern sourceRegEx, String replaceWith)

      {@inheritDoc}

    - #### public void setCaseSensitive(boolean caseSensitive)

      {@inheritDoc}

    - #### public AbstractCopyTask setDirMode(Integer mode)

      {@inheritDoc}

    - #### public void setDuplicatesStrategy(DuplicatesStrategy strategy)

      {@inheritDoc}

    - #### public AbstractCopyTask setExcludes(Iterable<String> excludes)

      {@inheritDoc}

    - #### public AbstractCopyTask setFileMode(Integer mode)

      {@inheritDoc}

    - #### public void setIncludeEmptyDirs(boolean includeEmptyDirs)

      {@inheritDoc}

    - #### public AbstractCopyTask setIncludes(Iterable<String> includes)

      {@inheritDoc}

    - #### public CopySpec with(CopySpec... sourceSpecs)

      {@inheritDoc}